# Interface BeanContextServiceRevokedListener

All Superinterfaces:
  `EventListener`

All Known Subinterfaces:
  `BeanContextServices, BeanContextServicesListener`

All Known Implementing Classes:
  `BeanContextChildSupport, BeanContextServicesSupport, BeanContextServicesSupport.BCSSProxyServiceProvider, BeanContextSupport`

@Deprecated(since="23", forRemoval=true) public interface BeanContextServiceRevokedListener extends EventListener
Deprecated, for removal: This API element is subject to removal in a future version.
The listener interface for receiving `BeanContextServiceRevokedEvent` objects. A class that is interested in processing a `BeanContextServiceRevokedEvent` implements this interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serviceRevoked(BeanContextServiceRevokedEvent bcsre)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The service named has been revoked. getService requests for this service will no longer be satisfied.

- ## Method Details

  - ### serviceRevoked

    void serviceRevoked(BeanContextServiceRevokedEvent bcsre)
    Deprecated, for removal: This API element is subject to removal in a future version.
    The service named has been revoked. getService requests for this service will no longer be satisfied.
    Parameters:
      `bcsre` - the `BeanContextServiceRevokedEvent` received by this listener.